=== modified file 'Makefile'
--- Makefile	2009-01-06 05:10:34 +0000
+++ Makefile	2008-12-28 10:20:47 +0000
@@ -15,7 +15,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.0.3
+version=1.0.2
 SED=sed
 
 ## Use these settings for a traditional /usr/local install
@@ -76,7 +76,7 @@
 PLUGINS=plugins.d/password-prompt plugins.d/mandos-client \
 	plugins.d/usplash plugins.d/splashy plugins.d/askpass-fifo
 CPROGS=plugin-runner $(PLUGINS)
-PROGS=mandos mandos-keygen $(CPROGS)
+PROGS=mandos mandos-keygen mandos-list $(CPROGS)
 DOCS=mandos.8 plugin-runner.8mandos mandos-keygen.8 \
 	plugins.d/mandos-client.8mandos \
 	plugins.d/password-prompt.8mandos mandos.conf.5 \
@@ -163,6 +163,11 @@
 		--expression='s/^\(VERSION="\)[^"]*"$$/\1$(version)"/' \
 		$@
 
+mandos-list: Makefile
+	$(SED) --in-place \
+		--expression='s/^\(version = "\)[^"]*"$$/\1$(version)"/' \
+		$@
+
 mandos.lsm: Makefile
 	$(SED) --in-place \
 		--expression='s/^\(Version:\).*/\1\t$(version)/' \

=== modified file 'NEWS'
--- NEWS	2009-01-06 05:10:34 +0000
+++ NEWS	2008-10-17 18:56:25 +0000
@@ -1,18 +1,6 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
-Version 1.0.3 (2009-01-06)
-* Server
-** Now tries to change to user and group "_mandos" before falling back
-   to trying the old values "mandos", "nobody:nogroup", and "65534".
-** Now does not abort on startup even if no clients are defined in
-   clients.conf.
-
-* Client
-** Plugins named "*.dpkg-bak" are now ignored.
-** Hopefully fixed compilation failure on some architectures where the
-   C compiler does not recognize the "-z" option as a linker option.
-
 Version 1.0.2 (2008-10-17)
 * mandos-keygen now signs the encrypted key blobs.  This signature is
   not currently verified by mandos-client, but this may change in the

=== modified file 'debian/changelog'
--- debian/changelog	2009-01-06 05:10:34 +0000
+++ debian/changelog	2008-10-17 18:56:25 +0000
@@ -1,16 +1,3 @@
-mandos (1.0.3-1) unstable; urgency=low
-
-  * New upstream release.
-  * Second try to close ITP: (Closes: #500727: ITP)
-  * Fix FTBFS for some architectures: (Closes: #509398)
-  * Remove debconf note: (Closes: #509653: Debconf abuse)
-  * Add NEWS file to /usr/share/doc directories.
-  * Use and create "_mandos" user+group.  Rename old user+group created by
-    older versions of this package.
-  * Fix manual pages by adding build-depend on "docbook-xml".
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 06 Jan 2009 01:21:20 +0100
-
 mandos (1.0.2-1) unstable; urgency=low
 
   * New upstream release.

=== added file 'debian/mandos-client.config'
--- debian/mandos-client.config	1970-01-01 00:00:00 +0000
+++ debian/mandos-client.config	2008-09-21 04:22:50 +0000
@@ -0,0 +1,27 @@
+#! /bin/sh
+#
+# config	Mandos Debconf configuration.
+#
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+if ! db_version 2.0; then
+    echo "mandos.config: need DebConf 2.0 or later"
+    exit 1
+fi
+
+set -e
+umask 022
+
+# Now, interaction.  Batch it in case any front ends can use this.
+db_beginblock
+
+# If this is a first time install then prompt 
+if [ "$1" = "configure" -a "$2" != "" ]; then
+	db_input high mandos-client/not-yet-configured || true
+fi
+
+db_endblock
+db_go || true
+
+exit 0

=== modified file 'debian/mandos-client.postinst'
--- debian/mandos-client.postinst	2009-01-06 05:08:37 +0000
+++ debian/mandos-client.postinst	2008-12-10 01:26:02 +0000
@@ -15,6 +15,8 @@
 # If prerm fails during replacement due to conflict:
 #       <postinst> abort-remove in-favour <new-package> <version>
 
+. /usr/share/debconf/confmodule
+
 # Update the initial RAM file system image
 update_initramfs()
 {

=== added file 'debian/mandos-client.templates'
--- debian/mandos-client.templates	1970-01-01 00:00:00 +0000
+++ debian/mandos-client.templates	2008-09-21 04:22:50 +0000
@@ -0,0 +1,8 @@
+Template: mandos-client/not-yet-configured
+Type: note
+_Description: Your system needs more configuration[ mandos-client]
+ Your system can not function as a Mandos client until a
+ password for this client has been added to the
+ configuration on the Mandos server.  Please read
+ /usr/share/doc/mandos-client/README.Debian.gz to find out
+ how.

=== added file 'debian/mandos.config'
--- debian/mandos.config	1970-01-01 00:00:00 +0000
+++ debian/mandos.config	2008-09-21 04:22:50 +0000
@@ -0,0 +1,27 @@
+#! /bin/sh
+#
+# config	Mandos Debconf configuration.
+#
+
+# Source debconf library.
+. /usr/share/debconf/confmodule
+if ! db_version 2.0; then
+    echo "mandos.config: need DebConf 2.0 or later"
+    exit 1
+fi
+
+set -e
+umask 022
+
+# Now, interaction.  Batch it in case any front ends can use this.
+db_beginblock
+
+# If this is a first time install then prompt 
+if [ "$1" = "configure" -a "$2" != "" ]; then
+	db_input high mandos/not-yet-configured || true
+fi
+
+db_endblock
+db_go || true
+
+exit 0

=== modified file 'debian/mandos.postinst'
--- debian/mandos.postinst	2009-01-06 05:08:37 +0000
+++ debian/mandos.postinst	2008-12-10 01:26:02 +0000
@@ -15,6 +15,8 @@
 # If prerm fails during replacement due to conflict:
 #       <postinst> abort-remove in-favour <new-package> <version>
 
+. /usr/share/debconf/confmodule
+
 case "$1" in
     configure)
 	# Rename old "mandos" user and group

=== added file 'debian/mandos.templates'
--- debian/mandos.templates	1970-01-01 00:00:00 +0000
+++ debian/mandos.templates	2008-09-21 04:22:50 +0000
@@ -0,0 +1,9 @@
+Template: mandos/not-yet-configured
+Type: note
+_Description: Your system needs more configuration[ mandos]
+ Your system has not yet been completely configured as a
+ Mandos server - clients need to be added to to
+ /etc/mandos/clients.conf.  Please read
+ /usr/share/doc/mandos/README.Debian.gz to find out how.
+ .
+ (The server has not been started.)

=== added file 'debian/po/POTFILES.in'
--- debian/po/POTFILES.in	1970-01-01 00:00:00 +0000
+++ debian/po/POTFILES.in	2008-09-21 04:22:50 +0000
@@ -0,0 +1,2 @@
+[type: gettext/rfc822deb] mandos.templates
+[type: gettext/rfc822deb] mandos-client.templates

=== added file 'debian/po/sv.po'
--- debian/po/sv.po	1970-01-01 00:00:00 +0000
+++ debian/po/sv.po	2008-09-21 04:22:50 +0000
@@ -0,0 +1,66 @@
+# SOME DESCRIPTIVE TITLE.
+# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
+# This file is distributed under the same license as the mandos package.
+# FIRST AUTHOR <EMAIL@ADDRESS>, YEAR.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: 1.0\n"
+"Report-Msgid-Bugs-To: mandos@packages.debian.org\n"
+"POT-Creation-Date: 2008-09-20 23:01+0200\n"
+"PO-Revision-Date: 2008-09-21 06:01+0200\n"
+"Last-Translator: Teddy Hogeborn <teddy@fukt.bsnet.se>\n"
+"Language-Team: Swedish <tp-sv@listor.tp-sv.se>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: note
+#. Description
+#: ../mandos.templates:1001
+msgid "Your system needs more configuration[ mandos]"
+msgstr "Ditt system behöver ytterligare konfigurering"
+
+#. Type: note
+#. Description
+#: ../mandos.templates:1001
+#| msgid ""
+#| "Your system has not yet been completely configured as a Mandos server - "
+#| "you need to setup /etc/mandos/clients.conf. Please read /usr/share/doc/"
+#| "mandos/README.Debian.gz to find out how."
+msgid ""
+"Your system has not yet been completely configured as a Mandos server - "
+"clients need to be added to to /etc/mandos/clients.conf.  Please read /usr/"
+"share/doc/mandos/README.Debian.gz to find out how."
+msgstr ""
+"Ditt system är inte helt inställd som en Mandos-server än -\n"
+"det behövs läggas till klienter i Mandos-serverns\n"
+"inställingar.  Var vänlig läs\n"
+"/usr/share/doc/mandos-client/README.Debian.gz för att få\n"
+"veta hur."
+
+#. Type: note
+#. Description
+#: ../mandos.templates:1001
+msgid "(The server has not been started.)"
+msgstr "(Servern har inte startats.)"
+
+#. Type: note
+#. Description
+#: ../mandos-client.templates:1001
+msgid "Your system needs more configuration[ mandos-client]"
+msgstr "Ditt system behöver ytterligare konfigurering"
+
+#. Type: note
+#. Description
+#: ../mandos-client.templates:1001
+msgid ""
+"Your system can not function as a Mandos client until a password for this "
+"client has been added to the configuration on the Mandos server.  Please "
+"read /usr/share/doc/mandos-client/README.Debian.gz to find out how."
+msgstr ""
+"Ditt system kan inte fungera som en Mandos-klient förrän\n"
+"ett krypterat lösenord har lagts till i Mandos-serverns\n"
+"inställingar.  Var vänlig läs\n"
+"/usr/share/doc/mandos-client/README.Debian.gz för att få\n"
+"veta hur."

=== modified file 'debian/rules'
--- debian/rules	2009-01-04 22:26:07 +0000
+++ debian/rules	2008-09-30 18:59:44 +0000
@@ -38,6 +38,7 @@
 	rm -f build-arch-stamp build-indep-stamp configure-stamp
 	dh_auto_clean
 	dh_clean
+	debconf-updatepo
 
 install: install-indep install-arch
 install-indep:
@@ -65,6 +66,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
+	dh_installdebconf
 	dh_link
 	dh_strip
 	dh_compress

=== modified file 'mandos'
--- mandos	2009-01-06 05:10:34 +0000
+++ mandos	2009-01-04 21:54:55 +0000
@@ -35,7 +35,7 @@
 
 import SocketServer
 import socket
-import optparse
+from optparse import OptionParser
 import datetime
 import errno
 import gnutls.crypto
@@ -66,7 +66,7 @@
 import ctypes
 import ctypes.util
 
-version = "1.0.3"
+version = "1.0.2"
 
 logger = logging.Logger('mandos')
 syslogger = (logging.handlers.SysLogHandler
@@ -889,7 +889,7 @@
 
 
 def main():
-    parser = optparse.OptionParser(version = "%%prog %s" % version)
+    parser = OptionParser(version = "%%prog %s" % version)
     parser.add_option("-i", "--interface", type="string",
                       metavar="IF", help="Bind to interface IF")
     parser.add_option("-a", "--address", type="string",
@@ -911,7 +911,8 @@
                       " files")
     parser.add_option("--no-dbus", action="store_false",
                       dest="use_dbus",
-                      help=optparse.SUPPRESS_HELP)
+                      help="Do not provide D-Bus system bus"
+                      " interface")
     options = parser.parse_args()[0]
     
     if options.check:
@@ -957,7 +958,6 @@
     # For convenience
     debug = server_settings["debug"]
     use_dbus = server_settings["use_dbus"]
-    use_dbus = False
     
     if not debug:
         syslogger.setLevel(logging.WARNING)

=== modified file 'mandos-keygen'
--- mandos-keygen	2009-01-06 05:10:34 +0000
+++ mandos-keygen	2009-01-04 21:54:55 +0000
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.0.3"
+VERSION="1.0.2"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA

=== added file 'mandos-list'
--- mandos-list	1970-01-01 00:00:00 +0000
+++ mandos-list	2008-12-21 19:19:25 +0000
@@ -0,0 +1,65 @@
+#!/usr/bin/python
+# -*- mode: python; coding: utf-8 -*-
+
+import dbus
+from optparse import OptionParser
+import locale
+
+locale.setlocale(locale.LC_ALL, u'')
+
+tablewords = {
+    'name': u'Name',
+    'enabled': u'Enabled',
+    'timeout': u'Timeout',
+    'last_checked_ok': u'Last Successful Check',
+    'created': u'Created',
+    'interval': u'Interval',
+    'host': u'Host',
+    'fingerprint': u'Fingerprint',
+    'checker_running': u'Check Is Running',
+    'last_enabled': u'Last Enabled',
+    'checker': u'Checker',
+    }
+busname = 'org.mandos-system.Mandos'
+object_path = '/Mandos'
+interface = 'org.mandos_system.Mandos'
+version = "1.0.2"
+defaultkeywords = ('name', 'enabled', 'timeout', 'last_checked_ok',
+                   'checker')
+
+parser = OptionParser(version = "%%prog %s" % version)
+parser.add_option("-a", "--all", action="store_true", default=False,
+                  help="Print all fields")
+options = parser.parse_args()[0]
+if options.all:
+    keywords = ('name', 'enabled', 'timeout', 'last_checked_ok',
+                'created', 'interval', 'host', 'fingerprint',
+                'checker_running', 'last_enabled', 'checker')
+else:
+    keywords = defaultkeywords
+
+
+bus = dbus.SystemBus()
+mandos_dbus_objc = bus.get_object(busname, object_path)
+mandos_serv = dbus.Interface(mandos_dbus_objc,
+                             dbus_interface = interface)
+mandos_clients = mandos_serv.GetAllClientsWithProperties()
+
+def valuetostring(x):
+    if type(x) is dbus.Boolean:
+        return u"Yes" if x else u"No"
+    else:
+        return unicode(x)
+
+format_string = u' '.join(u'%%-%ds'
+                         % max(len(tablewords[key]),
+                               max(len(valuetostring(client[key]))
+                                   for client
+                                   in mandos_clients.itervalues()))
+                         for key in keywords)
+print format_string % tuple(tablewords[key] for key in keywords) 
+for client in mandos_clients.itervalues():
+    print format_string % tuple(valuetostring(client[key])
+                                for key in keywords)
+
+

=== modified file 'mandos.lsm'
--- mandos.lsm	2009-01-06 05:10:34 +0000
+++ mandos.lsm	2008-12-10 01:26:02 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.0.3
-Entered-date:	2009-01-06
+Version:	1.0.2
+Entered-date:	2008-10-28
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      92K mandos_1.0.3.orig.tar.gz
+	      89K mandos_1.0.2.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		92K mandos_1.0.3.orig.tar.gz
+		89K mandos_1.0.2.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.4, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

=== modified file 'mandos.xml'
--- mandos.xml	2009-01-05 23:26:06 +0000
+++ mandos.xml	2009-01-04 21:54:55 +0000
@@ -85,6 +85,8 @@
       <replaceable>DIRECTORY</replaceable></option></arg>
       <sbr/>
       <arg><option>--debug</option></arg>
+      <sbr/>
+      <arg><option>--no-dbus</option></arg>
     </cmdsynopsis>
     <cmdsynopsis>
       <command>&COMMANDNAME;</command>
@@ -229,6 +231,16 @@
 	  </para>
 	</listitem>
       </varlistentry>
+      
+      <varlistentry>
+	<term><option>--no-dbus</option></term>
+	<listitem>
+	  <xi:include href="mandos-options.xml" xpointer="dbus"/>
+	  <para>
+	    See also <xref linkend="dbus_interface"/>.
+	  </para>
+	</listitem>
+      </varlistentry>
     </variablelist>
   </refsect1>
   
@@ -324,6 +336,16 @@
     </para>
   </refsect1>
   
+  <refsect1 id="dbus_interface">
+    <title>D-BUS INTERFACE</title>
+    <para>
+      The server will by default provide a D-Bus system bus interface.
+      This interface will only be accessible by the root user or a
+      Mandos-specific user, if such a user exists.
+      <!-- XXX -->
+    </para>
+  </refsect1>
+
   <refsect1 id="exit_status">
     <title>EXIT STATUS</title>
     <para>

